package com.ejie.ab63.exceptions;

import javax.xml.ws.WebFault;

@WebFault(name = "Ab63Exception", targetNamespace = "http://ab63.exe.webservice/")
public class Ab63Exception extends Exception {

	private static final long serialVersionUID = -2823891626272710101L;

	private Ab63ExceptionGeneral faultInfo = new Ab63ExceptionGeneral();

	public Ab63Exception(String codigo, String mensajeCastellano, String mensajeEuskera) {
		faultInfo.setCodigo(codigo);
		faultInfo.setMensajeCastellano(mensajeCastellano);
		faultInfo.setMensajeEuskera(mensajeEuskera);

	}

	public Ab63ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

	public void setFaultInfo(Ab63ExceptionGeneral faultInfo) {
		this.faultInfo = faultInfo;
	}

}
